Subject: Want to know what the real Russian girls love and warmth?

From: [email-masked]
Date: Fri, 9 Apr 2010 19:24:06 -0400

Hello, long time did not communicate, please contact me, your beautiful Sonia! 
http://censure008.spaces.live.com